FSPD(1)                                                   FSPD(1)


NAME
       fspd, in.fspd - server for the FSP database

SYNOPSIS
       fspd [-f configfile]

       in.fspd [-f configfile]

DESCRIPTION
       fspd  is  the  server  for  an anonymous-ftp style archive
       called FSP. The main features of this service are: connec-
       tion-less model, communication robustness, server resource
       protection, inter-client  protection,  and  user  friendly
       interface.  Please read the INFO file bundled with the FSP
       source for more information.


OPTIONS
       -f                  May be used to  specify  an  alternate
                           configuration file.

FILES
       .OWN.XXXXXXXX       Used  to  indicate  the ownership of a
                           directory.  If this file is present in
                           a directory, the directory is owned by
                           the  machine  whose  inet  number   is
                           XXXXXXXX  when  printed  as an 8-digit
                           hex number.

       .README             A text file that is sent to the client
                           when  the  directory is entered giving
                           information about the  directory.   It
                           can  only  be hand created by the site
                           administrator at this time.

       .FSP_OK_DEL         Existence of this file in a  directory
                           grants  non-owner machines the permis-
                           sion to delete items from this  direc-
                           tory.

       .FSP_OK_ADD         Existence  of this file in a directory
                           grants non-owner machines the  permis-
                           sion to add items to this directory.

       .FSP_PRIVATE        Existence  of this file in a directory
                           means that  files  in  that  directory
                           cannot be read, i.e. they are private.

       .FSP_OK_MKDIR       Existence of this file in a  directory
                           grants  non-owner machines the permis-
                           sion to  create  subdirectories  under
                           the current directory.

       .TXXXXXXXXXXXX      Transient  temporary  file  in the FSP
                           directory  cache  directory  used  for
                           file uploading.

       .GXXXXXXXXXXXX      Transient  temporary  file  in the FSP
                           directory used  for  file  downloading
                           through the fgrab command.

       .HTAB_DUMP          A  file  created  in the top directory
                           when fspd receives  an  alarm  signal.
                           It  contains  a  listing of the active
                           clients in fspd's client table.

       fspd.conf           A file containing control  information
                           about  how  specific  features  of the
                           server are to be used. See  the  exam-
                           ple.conf file for explicit details.

       .FSP_CONTENT        File  used to cache directory listing.
                           Such files  are  normally  created  on
                           demand  in  each  directory  that fspd
                           exports.   If  a   .FSP_CONTENT   file
                           exists  in  a  directory,  but  is not
                           writable by the fspd process, then the
                           directory  cannot  be  listed.   If it
                           does not exist and fspd fails  in  its
                           attempt to create a .FSP_CONTENT file,
                           then  fspd  will  create  one  with  a
                           hashed name in a cache directory spec-
                           ified during  compile  time.   Options
                           can  be  set at compile time such that
                           fspd will create a cache file  in  the
                           cache directory even if a .FSP_CONTENT
                           file could have been  created  in  the
                           directory to be listed.


AMIGA SPECIFICS
     - Files with a ':' in them cannot be accessed, created or
       destroyed. OTHERWISE people could get access your complete
       system.

     - The default location for the configuration file is;
        `amitcp:db/fspd.conf'
       Alternative locations can be given with the startup option
       e.g. `fspd -fhome:fsp/myfspd.conf'

     - For configuration options, see example.conf file.

     - If you want to run the daemon from inetd,
       copy fspd to amitcp:serv/fspd

       add to `amitcp:db/services' the following line;
        `fsp    21/udp'

       add to `amitcp:db/inetd.conf'
         `fsp dgram udp wait root amitcp:serv/fspd in.fspd'             or
         `fsp dgram udp wait root amitcp:serv/fspd in.fspd -fmydir/fspd.conf'

     - If you want to run the daemon stand-alone just copy fspd
       in a directory (amitcp:bin) and add to `amitcp:bin/startnet'
         run <>NIL: amitcp:bin/fspd [-f mydir/fspd.conf]

     - fspd has been tested with an Amiga 500/OS2.04 AmiTCP3.0beta,
       and an A3000/OS2.04 AmiTCP2.3.

BUGS
       This version still has a few bugs, but it has not GURU'd
       my machine(s) yet. It has also proven to be secure. Most
       obvious bugs/features are:

         - When the homedir in fspd.conf ends in ':', permission
           files will not be read. (i.e. you can't create or
           delete files and directories.)

         - If your inetd.conf entry for fspd has a space between
           the -f and the filename, it is likely that inetd gets
           confused.

         - The amiga version of fgrabcmd doesn't work properly!
           Maybe UNIX fgrab does???

         - Those darn soft-links. Sometimes fspd won't traverse
           links across partitions. (actually never does it!)

         - I haven't included the sources yet.... :) Sorry too
           little time to sort all that out now. Be happy I
           found some time to update this manual page.

AUTHOR
       Definitively, positively not me. I just made it compile on
       my A500 and added some. But if you do want to contact me
       my email address is <jaharkes@cs.vu.nl>.
